List webhooks
1 min
GET
https://cg.optimizely.com/api/webhooks
Responses
200
- Webhook[]
- objectWebhookPayload
- disabledboolean
- requestRequestrequired
- urlstringrequired
- methodstring
- headersRecord_string.string_Description
- topicsstring[]
- filtersobject
- FilterMap
- object
- presetPresetrequired
- idstringrequired
curl
curl --request GET \
--url https://cg.optimizely.com/api/webhooks \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://cg.optimizely.com/api/webhooks", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://cg.optimizely.com/api/webhooks")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://cg.optimizely.com/api/webhooks"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Ok
[
{
"disabled": false,
"request": {
"url": "",
"method": "",
"headers": {}
},
"topics": [
""
],
"filters": {},
"preset": "",
"id": ""
}
]